import request from '@/utils/request'

export function getRuleList(ruleListReq) {
  return request({
    url: '/data/rule/getRuleList',
    method: 'post',
    data: ruleListReq
  })
}

export function insertRuleEngine(ruleEngine) {
  return request({
    url: '/data/rule/insertRuleEngine',
    method: 'post',
    data: ruleEngine
  })
}

export function getRuleConfigList() {
  return request({
    url: '/data/ruleConfig/getRuleConfigList',
    method: 'get'
  })
}

export function testCompile(testWord) {
  return request({
    url: '/data/test/testCompile',
    method: 'post',
    data: testWord
  })
}
